import { SpatialObject } from './SpatialObject';
export declare class SpatialNode {
    private _spatialObject;
    private _children;
    private _box3;
    constructor(spatialObject: SpatialObject | null);
    box3(): THREE.Box3;
    children(): SpatialNode[];
    addChild(node: SpatialNode): void;
    spatialObject(): SpatialObject | null;
}
